> For the complete documentation index, see [llms.txt](https://docs.pangolin.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pangolin.exchange/pangoperps/trading-api/order-management/get-algo-order-by-order-id.md).

# Get Algo Order by Order ID

Retrieve one algorithmic order and its trigger and child-order state by order ID.

### Endpoint

**GET /v1/algo/order/{order\_id}**

Mainnet: `GET https://api.orderly.org/v1/algo/order/{order_id}`

Testnet: `GET https://testnet-api.orderly.org/v1/algo/order/{order_id}`

Rate limit: 10 requests per second. This signed request returns one algorithmic order. It has no request body.

### Authentication headers

* orderly-timestamp — signed-request timestamp in milliseconds.
* orderly-account-id — PangoPerps account ID.
* orderly-key — public API key.
* orderly-signature — request signature.

### Path parameter

| Parameter | Type   | Required | Description                  |
| --------- | ------ | -------- | ---------------------------- |
| order\_id | string | Yes      | ID of the algorithmic order. |

### Example request

```bash
curl --request GET \
  --url 'https://api.orderly.org/v1/algo/order/123456789' \
  --header 'orderly-account-id: <account-id>' \
  --header 'orderly-key: <public-api-key>' \
  --header 'orderly-signature: <signature>' \
  --header 'orderly-timestamp: <timestamp-in-ms>'
```

### Successful response

HTTP 200 returns success and the requested algo order. The object can contain its algo ID and type, status, parent/root IDs and root status, symbol, side, execution type, quantity and visibility, trigger price and price source, trigger state, execution totals, fee details, realized PnL, margin mode, timestamps, order tag, and child\_orders.

```json
{
  "success": true,
  "data": {
    "algo_order_id": 123456789,
    "algo_status": "NEW",
    "algo_type": "STOP",
    "fee_asset": "USDC",
    "is_triggered": "false",
    "order_tag": "enum:pangoperps:example",
    "parent_algo_order_id": 0,
    "quantity": 0.25,
    "root_algo_order_id": 123456789,
    "root_algo_order_status": "NEW",
    "side": "BUY",
    "symbol": "PERP_ETH_USDC",
    "total_executed_quantity": 0,
    "total_fee": 0,
    "trigger_price": 3400,
    "trigger_price_type": "MARK_PRICE",
    "type": "MARKET",
    "created_time": 1702989100000,
    "updated_time": 1702989100000,
    "visible_quantity": 0.25,
    "margin_mode": "CROSS",
    "executed_quantity": 0,
    "realized_pnl": 0,
    "child_orders": []
  },
  "timestamp": 1702989203989
}
```
